-- Test location_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(27);

set search_path to camper, public;

select has_table('location_i18n');
select has_pk('location_i18n');
select col_is_pk('location_i18n', array['company_id', 'lang_tag']);
select table_privs_are('location_i18n', 'guest', array['SELECT']);
select table_privs_are('location_i18n', 'employee', array['SELECT']);
select table_privs_are('location_i18n', 'admin', array['SELECT', 'INSERT', 'UPDATE', 'DELETE']);
select table_privs_are('location_i18n', 'authenticator', array[]::text[]);

select has_column('location_i18n', 'company_id');
select col_is_fk('location_i18n', 'company_id');
select fk_ok('location_i18n', 'company_id', 'location', 'company_id');
select col_type_is('location_i18n', 'company_id', 'integer');
select col_not_null('location_i18n', 'company_id');
select col_hasnt_default('location_i18n', 'company_id');

select has_column('location_i18n', 'lang_tag');
select col_is_fk('location_i18n', 'lang_tag');
select fk_ok('location_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('location_i18n', 'lang_tag', 'text');
select col_not_null('location_i18n', 'lang_tag');
select col_hasnt_default('location_i18n', 'lang_tag');

select has_column('location_i18n', 'directions');
select col_type_is('location_i18n', 'directions', 'xml');
select col_not_null('location_i18n', 'directions');
select col_hasnt_default('location_i18n', 'directions');

select has_column('location_i18n', 'opening_dates');
select col_type_is('location_i18n', 'opening_dates', 'xml');
select col_not_null('location_i18n', 'opening_dates');
select col_hasnt_default('location_i18n', 'opening_dates');


select *
from finish();

rollback;

